Cocktail‎ > ‎

FAQ Exploitation




Suite à une release, une application ne redémarre pas...

Exception in thread "main" java.lang.UnsupportedClassVersionError:

Cette exception indique que la version de Java n'est pas la bonne, et donc
qu'il faut utiliser Java 1.5
Il faut faire un lien symbolique dans un des répertoire présent dans le PATH vers l'executable java de la version 1.5
ln -s /.../..1.5_../bin/java /usr/bin/java15

puis modifier le Contents/"OS"/"OS"ClassPath.
txt
(OS correspondant à l'OS utilisé)
il faut changer la première ligne
# JVM              == java
par
# JVM              == java15




Comments